wl_cursor_image(3)

NAME
wl_cursor_image

SYNOPSIS

#include <wayland-cursor.h>

  Data Fields

uint32_t width
uint32_t height
uint32_t hotspot_x
uint32_t hotspot_y
uint32_t delay

Detailed Description

A still image part of a cursor

Use wl_cursor_image_get_buffer() to get the corresponding struct wl_buffer to attach to your struct wl_surface.

Field Documentation

  uint32_t wl_cursor_image::delay
Animation delay to next frame (ms)

  uint32_t wl_cursor_image::height
Actual height

  uint32_t wl_cursor_image::hotspot_x
Hot spot x (must be inside image)

  uint32_t wl_cursor_image::hotspot_y
Hot spot y (must be inside image)

  uint32_t wl_cursor_image::width
Actual width

Author

Generated automatically by Doxygen for Wayland from the source code.